Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226355 - Merge Review: rarpd
Summary: Merge Review: rarpd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:48 UTC by Nobody's working on this, feel free to take it
Modified: 2018-12-03 16:58 UTC (History)
4 users (show)

Fixed In Version: rarpd-ss981107-42.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-21 19:02:49 UTC
jpopelka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:48:03 UTC
Fedora Merge Review: rarpd

http://cvs.fedora.redhat.com/viewcvs/devel/rarpd/
Initial Owner: pknirsch@redhat.com

Comment 1 Jiri Popelka 2010-07-14 16:43:42 UTC
NO source files match upstream.
- The source URL is not accessible.
  I think Debian's ftp can be used instead
  http://ftp.debian.org/debian/pool/main/r/rarpd/

YES package meets naming and versioning guidelines.
YES specfile is properly named, is cleanly written and uses macros consistently.
YES dist tag is present.
YES build root is correct.
YES license field matches the actual license.
YES license is open source-compatible.

NO License text included in package.

YES latest version is being packaged.
YES BuildRequires are proper.
YES compiler flags are appropriate.
YES %clean is present.
YES package builds in mock (Rawhide/x86_64).
YES debuginfo package looks complete.

NO rpmlint is silent.
 rarpd.x86_64: W: no-url-tag
 rarpd.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/rarpd
 rarpd.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/rarpd
 - do not mark initscript with %config
 - use %{_initddir} instead of /etc/rc.d/init.d

NO final provides and requires look sane.
 - Prereq should be replaced with Requires

N/A %check is present and all tests pass.
YES no shared libraries are added to the regular linker search paths.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.
YES file permissions are appropriate.
YES no scriptlets present.
YES code, not content.
YES documentation is small, so no -docs subpackage is necessary.
YES %docs are not necessary for the proper functioning of the package.
YES no headers.
YES no pkgconfig files.
YES no libtool .la droppings.

Comment 2 Honza Horak 2013-06-11 13:54:31 UTC
I'm going to add rarpd into EPEL-6, since there is some demand for it. Therefore I'd like to finish this ancient review.

Jirka, would you be willing to look at it again if there is everything ok?

(In reply to Jiri Popelka from comment #1)
> NO source files match upstream.
> - The source URL is not accessible.
>   I think Debian's ftp can be used instead
>   http://ftp.debian.org/debian/pool/main/r/rarpd/

That one doesn't include the same tarball AFAICT, but this one does:
ftp://ftp.fi.netbsd.org/.m/mirrors1/ftp.inr.ac.ru/ip-routing/dhcp.bootp.rarp/rarpd-%{version}.tar.gz

> NO License text included in package.

Added manually, since upstream is dead.

> NO rpmlint is silent.
>  rarpd.x86_64: W: no-url-tag

Upstream is dead with no official page, except man pages and package databases. I have no idea how to fix it.

>  rarpd.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/rarpd
>  rarpd.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/rarpd
>  - do not mark initscript with %config
>  - use %{_initddir} instead of /etc/rc.d/init.d

We use systemd unit files now.

> NO final provides and requires look sane.
>  - Prereq should be replaced with Requires

Fixed.

NEW SRPM: http://pkgs.fedoraproject.org/cgit/rarpd.git/tree/rarpd.spec
KOJI BUILD: http://koji.fedoraproject.org/koji/buildinfo?buildID=425941

Comment 3 Jiri Popelka 2013-06-11 16:16:19 UTC
Everything looks good to me. APPROVED!

Comment 4 Honza Horak 2013-06-11 17:53:44 UTC
Package Change Request
======================
Package Name: rarpd
New Branches: el6
Owners: hhorak

Comment 5 Gwyn Ciesla 2013-06-11 18:17:47 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-06-12 10:06:44 UTC
rarpd-ss981107-42.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rarpd-ss981107-42.el6

Comment 7 Fedora Update System 2013-06-12 20:07:24 UTC
rarpd-ss981107-42.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2013-08-21 19:02:49 UTC
rarpd-ss981107-42.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.